<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 51.10 subtask 6</title>
</head>

<body>

</body>
<script>
    function filterArr() {
        var arr = [NaN, 0, 15, false, -22, '', undefined, 47, null];
        var newArr = [];
        for (let bI = 0; bI < arr.length; bI++) {
            if (isNaN(arr[bI]) == false && arr[bI] > 0 || arr[bI] < 0) {
                newArr.push(arr[bI])

            }
            console.log(newArr)

        }
    }
    filterArr()
    var mang = [3,8,7,6,5,-4,-3,2,1]

    function sapXepThuTuTangDan(paramArray) {
        var vTg = 0;
        var x = 0;
        for (var i = 0; i < paramArray.length; i++) {
            for (var x = 0; x < paramArray.length; x++) {
                if (paramArray[i] < paramArray[x]) {
                    vTg = paramArray[i];
                    paramArray[i] = paramArray[x];
                    paramArray[x] = vTg;
                }
            }
        }
    }
   console.log(sapXepThuTuTangDan(mang)) 
</script>

</html>